# H225_H323_UU_PDU_tunnelledSignallingMessage Class Reference

`#include <h225.h>`

Inheritance diagram for H225_H323_UU_PDU_tunnelledSignallingMessage:

List of all members.

## Public Types

enum | OptionalFields { e_tunnellingRequired, e_nonStandardData }

## Public Member Functions

| H225_H323_UU_PDU_tunnelledSignallingMessage (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_TunnelledProtocol | m_tunnelledProtocolID
H225_ArrayOf_PASN_OctetString | m_messageContent
PASN_Null | m_tunnellingRequired
H225_NonStandardParameter | m_nonStandardData

## Member Enumeration Documentation

enum H225_H323_UU_PDU_tunnelledSignallingMessage::OptionalFields

Enumerator:

  e_tunnellingRequired |
  e_nonStandardData |

## Constructor & Destructor Documentation

H225_H323_UU_PDU_tunnelledSignallingMessage::H225_H323_UU_PDU_tunnelledSignallingMessage | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_H323_UU_PDU_tunnelledSignallingMessage::GetDataLength | ( |  | ) | const

PBoolean H225_H323_UU_PDU_tunnelledSignallingMessage::Decode | ( | PASN_Stream & | strm | ) |

void H225_H323_UU_PDU_tunnelledSignallingMessage::Encode | ( | PASN_Stream & | strm | ) | const

void H225_H323_UU_PDU_tunnelledSignallingMessage::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_H323_UU_PDU_tunnelledSignallingMessage::Compare | ( | const PObject & | obj | ) | const

PObject* H225_H323_UU_PDU_tunnelledSignallingMessage::Clone | ( |  | ) | const

## Member Data Documentation

H225_TunnelledProtocol H225_H323_UU_PDU_tunnelledSignallingMessage::m_tunnelledProtocolID

H225_ArrayOf_PASN_OctetString H225_H323_UU_PDU_tunnelledSignallingMessage::m_messageContent

PASN_Null H225_H323_UU_PDU_tunnelledSignallingMessage::m_tunnellingRequired

H225_NonStandardParameter H225_H323_UU_PDU_tunnelledSignallingMessage::m_nonStandardData

The documentation for this class was generated from the following file:

- h225.h